using Godot;
using System.Reflection;
using System.Collections.Generic;

namespace Rokojori
{ 
  [Tool]
  [GlobalClass]
  public partial class Vector2PropertyTransfer:Resource
  { 
    [Export]
    public Vector2PropertyName from;

    [Export]
    public Vector2PropertyName to;

    public void Transfer( Material a, Material b )
    {
      var v = from.Get( a );
      to.Set( b, v );
    }

  }
}

